%define upstream_name    Net-Amazon-Signature-V3
%define upstream_version 0.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Sign AWS requests -- V3
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::HMAC_SHA1)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::AttributeShortcuts) >= 0.15.0
BuildRequires: perl(MooseX::Types::Common::String)
BuildRequires: perl(Test::CheckDeps) >= 0.10.0
BuildRequires: perl(Test::Moose::More)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(aliased)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Amazon requires authentication when interfacing with its web services; this
package implements V3 of Amazon's authentication schemes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.3.0-3.mga9
+ Revision: 1819274
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.3.0-2.mga8
+ Revision: 1519752
- Mageia 8 Mass Rebuild

* Sat Oct 20 2018 tv <tv> 0.3.0-1.mga7
+ Revision: 1322689
- update to 0.003

* Thu Sep 20 2018 umeabot <umeabot> 0.1.0-2.mga7
+ Revision: 1285111
- Mageia 7 Mass Rebuild

* Tue Nov 21 2017 kharec <kharec> 0.1.0-1.mga7
+ Revision: 1178046
- imported package perl-Net-Amazon-Signature-V3


* Tue Nov 21 2017 cpan2dist 0.001-1mga
- initial mageia release, generated with cpan2dist
